﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_CAFILENOTSPROP')
CREATE TABLE T_SOECS_CAFILENOTSPROP (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FBOID BIGINT DEFAULT 0 NOT NULL,
                                        FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                        FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                        FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                        FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                        FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                        FSPECIALITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFYTIME DATETIME,
                                        FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_CAFILENOTSPROP_L')
CREATE TABLE T_SOECS_CAFILENOTSPROP_L (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                          FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FSPECIALITY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_HISCAFILENONTSPR')
CREATE TABLE T_SOECS_HISCAFILENONTSPR (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FBOID BIGINT DEFAULT 0 NOT NULL,
                                          FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                          FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                          FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                          FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                          FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                          FSPECIALITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFYTIME DATETIME,
                                          FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_HISCAFILENONTSPR_L')
CREATE TABLE T_SOECS_HISCAFILENONTSPR_L (
                                            FID BIGINT DEFAULT 0 NOT NULL,
                                            FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                            FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                            FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                            FSPECIALITY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_BACAFILENONTSPR')
CREATE TABLE T_SOECS_BACAFILENONTSPR (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FBOID BIGINT DEFAULT 0 NOT NULL,
                                         FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                         FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                         FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                         FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                         FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                         FSPECIALITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME,
                                         FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_BACAFILENONTSPR_L')
CREATE TABLE T_SOECS_BACAFILENONTSPR_L (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                           FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                           FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FSPECIALITY NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_table.sql **/
