﻿/**后备认定期间、后备干部记录索引语句**/
/**Begin D:\Soft\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_constraint.sql **/
EXEC P_ALTERPK 'PK_SOECS_BAKCADREPERIOD', 'T_SOECS_BAKCADREPERIOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_BAKCADREPERIOD' AND KSQL_INDNAME = 'IDX_SOECS_BAKCADREPERIOD_PID') CREATE INDEX IDX_SOECS_BAKCADREPERIOD_PID ON T_SOECS_BAKCADREPERIOD ( FPERSONID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_BAKCADREPERIOD' AND KSQL_INDNAME = 'IDX_SOECS_BAKCADREPERIOD_BID') CREATE INDEX IDX_SOECS_BAKCADREPERIOD_BID ON T_SOECS_BAKCADREPERIOD ( FBAKCADRE );


EXEC P_ALTERPK 'PK_SOECS_BAKCADREPERIOD_L', 'T_SOECS_BAKCADREPERIOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_BAKCADREPERIOD_L' AND KSQL_INDNAME = 'IDX_SOECS_BAKCADREPERIOD_L') CREATE INDEX IDX_SOECS_BAKCADREPERIOD_L ON T_SOECS_BAKCADREPERIOD_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOECS_REPORTINFO', 'T_SOECS_REPORTINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_REPORTINFO' AND KSQL_INDNAME = 'IDX_SOECS_REPORTINFO') CREATE INDEX IDX_SOECS_REPORTINFO ON T_SOECS_REPORTINFO ( FID );


EXEC P_ALTERPK 'PK_SOECS_TRAININFO', 'T_SOECS_TRAININFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_TRAININFO' AND KSQL_INDNAME = 'IDX_SOECS_TRAININFO') CREATE INDEX IDX_SOECS_TRAININFO ON T_SOECS_TRAININFO ( FID );


EXEC P_ALTERPK 'PK_SOECS_RECOMINFO', 'T_SOECS_RECOMINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_RECOMINFO' AND KSQL_INDNAME = 'IDX_SOECS_RECOMINFO') CREATE INDEX IDX_SOECS_RECOMINFO ON T_SOECS_RECOMINFO ( FID );


EXEC P_ALTERPK 'PK_SOECS_BACRECORD', 'T_SOECS_BACRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_BACRECORD' AND KSQL_INDNAME = 'IDX_SOECS_BACRECORD_PID') CREATE INDEX IDX_SOECS_BACRECORD_PID ON T_SOECS_BACRECORD ( FPERSONID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_BACRECORD' AND KSQL_INDNAME = 'IDX_SOECS_BACRECORD_BID') CREATE INDEX IDX_SOECS_BACRECORD_BID ON T_SOECS_BACRECORD ( FBAKCADRE );


EXEC P_ALTERPK 'PK_SOECS_BACRECORD_L', 'T_SOECS_BACRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_BACRECORD_L' AND KSQL_INDNAME = 'IDX_SOECS_BACRECORD_L') CREATE INDEX IDX_SOECS_BACRECORD_L ON T_SOECS_BACRECORD_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOECS_TRAINSTRATEGY', 'T_SOECS_TRAINSTRATEGY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_TRAINSTRATEGY' AND KSQL_INDNAME = 'IDX_SOECS_TRAINSTRATEGY_NUMBER') CREATE INDEX IDX_SOECS_TRAINSTRATEGY_NUMBER ON T_SOECS_TRAINSTRATEGY ( FNUMBER );


EXEC P_ALTERPK 'PK_SOECS_TRAINSTRATEGY_L', 'T_SOECS_TRAINSTRATEGY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECS_TRAINSTRATEGY_L' AND KSQL_INDNAME = 'IDX_SOECS_TRAINSTRATEGY_L') CREATE INDEX IDX_SOECS_TRAINSTRATEGY_L ON T_SOECS_TRAINSTRATEGY_L ( FID ,FLOCALEID );



/**End D:\Soft\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_constraint.sql **/
