﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_BUSIEVENTRELTPL')
CREATE TABLE T_SOECS_BUSIEVENTRELTPL (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FSOURCEENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FBOID BIGINT DEFAULT 0 NOT NULL,
                                         FISBUSINESSEVENTBO VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                         FCANCELEDEVENTID BIGINT DEFAULT 0 NOT NULL,
                                         FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
                                         FOPERATEDATE DATETIME,
                                         FEVENTID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_EVENTRELHISTPL')
CREATE TABLE T_SOECS_EVENTRELHISTPL (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FVID BIGINT DEFAULT 0 NOT NULL,
                                        FPRESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPREBSED DATETIME,
                                        FPREBSLED DATETIME,
                                        FBUSIEVENTID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_EVENTTPL')
CREATE TABLE T_SOECS_EVENTTPL (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FEVENTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FEXECUTEWAY VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                  FEVENTBATCHTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FCANCELEDEVENTID BIGINT DEFAULT 0 NOT NULL,
                                  FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
                                  FOPERATEDATE DATETIME,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFYTIME DATETIME
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_table.sql **/
